astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- ASCII Tables (`astropy.io.ascii`) »
- get_writer

# get_writer

`astropy.io.ascii.``get_writer`(Writer=None, fast_writer=True, **kwargs)

  Initialize a table writer allowing for common customizations. Most of the default behavior for various parameters is determined by the Writer class.

  Parameters:

  Writer : `Writer`

  > Writer class (DEPRECATED) (default= `Basic`)

  delimiter : str

  > Column delimiter string

  comment : str

  > String defining a comment line in table

  quotechar : str

  > One-character string to quote fields containing special characters

  formats : dict

  > Dictionary of format specifiers or formatting functions

  strip_whitespace : bool

  > Strip surrounding whitespace from column values (default= `True`)

  names : list

  > List of names corresponding to each data column

  include_names : list

  > List of names to include in output (default= `None` selects all names)

  exclude_names : list

  > List of names to exclude from output (applied after `include_names`)

  fast_writer : bool

  > Whether to use the fast Cython writer (default= `True`)

  Returns:

  writer : `BaseReader` subclass

  > ASCII format writer instance